MatrixInsertColCommand Class Reference

`#include <MatrixCommand.h>`

Inheritance diagram for MatrixInsertColCommand:

## Public Member Functions

| MatrixInsertColCommand (MatrixModel *model, int startCol, const QString &text)
virtual void | redo ()
virtual void | undo ()

## Private Attributes

MatrixModel * | d_model
int | d_start_col

## Constructor & Destructor Documentation

MatrixInsertColCommand::MatrixInsertColCommand | ( | MatrixModel * | model,
|  | int | startCol,
|  | const QString & | text
| ) |  |

References MatrixModel::matrix().

## Member Function Documentation

void MatrixInsertColCommand::redo | ( |  | ) |

virtual

References d_model, d_start_col, and MatrixModel::insertColumns().

void MatrixInsertColCommand::undo | ( |  | ) |

virtual

References d_model, d_start_col, and MatrixModel::removeColumns().

## Member Data Documentation

MatrixModel* MatrixInsertColCommand::d_model

private

Referenced by redo(), and undo().

int MatrixInsertColCommand::d_start_col

private

Referenced by redo(), and undo().

The documentation for this class was generated from the following files:

- qtiplot/src/matrix/MatrixCommand.h
- qtiplot/src/matrix/MatrixCommand.cpp